com.holonplatform.vaadin.flow.components.builders

## Interface FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    ComponentConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, DeferrableLocalizationConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, FilterableSingleSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, FocusableConfigurator<com.vaadin.flow.component.Component,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasAutofocusConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasDeferrableLocalization, HasElementConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasEnabledConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasItemCaptionConfigurator<com.holonplatform.core.property.PropertyBox,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasLabelConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasPatternConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasPlaceholderConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasSizeConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, HasStyleConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,SingleSelect<T>,ValidatableSingleSelect<T>,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>,FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, ItemSetConfigurator<FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, PropertySelectInputConfigurator<T,T,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, SelectableInputConfigurator<T,T,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, SingleSelectableInputConfigurator<T,com.holonplatform.core.property.PropertyBox,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>
  Enclosing interface:
    FilterableSingleSelectConfigurator<T,ITEM,B extends FilterableSingleSelectConfigurator<T,ITEM,B>>

      public static interface FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>
      extends FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,SingleSelect<T>,ValidatableSingleSelect<T>,FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>,FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>>

  `Property` model based filterable `SingleSelect` input builder with `DatastoreDataProviderConfigurator` support.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.FilterableSingleSelectConfigurator

      `FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputConfigurator<T,ITEM,C extends FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputConfigurator<T,ITEM,C>>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C extends FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C>>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D,C>>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>>, FilterableSingleSelectConfigurator.ValidatableDatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator

      `filterByContains, filterByContains, filterByStarts, filterByStarts, filterConverter`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FilterableSingleSelectConfigurator

      `create, create, create, create, pageSize, renderer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertySelectInputConfigurator

      `itemCaptionProperty`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

Copyright © 2019 The Holon Platform. All rights reserved.